[ruby-cvs:66992] nagachika:r59814 (ruby_2_4): lib/rubygems: fix several vulnerabilities in RubyGems; bump to version 2.6.13.

nagachika at ruby-lang.org nagachika at ruby-lang.org
Sun Sep 10 14:23:14 JST 2017


nagachika	2017-09-10 14:23:13 +0900 (Sun, 10 Sep 2017)

  New Revision: 59814

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=59814

  Log:
    lib/rubygems: fix several vulnerabilities in RubyGems; bump to version 2.6.13.
    [Backport #13842]

  Modified files:
    branches/ruby_2_4/lib/rubygems/commands/query_command.rb
    branches/ruby_2_4/lib/rubygems/installer.rb
    branches/ruby_2_4/lib/rubygems/remote_fetcher.rb
    branches/ruby_2_4/lib/rubygems/specification.rb
    branches/ruby_2_4/lib/rubygems/text.rb
    branches/ruby_2_4/lib/rubygems.rb
    branches/ruby_2_4/test/rubygems/test_gem_commands_query_command.rb
    branches/ruby_2_4/test/rubygems/test_gem_installer.rb
    branches/ruby_2_4/test/rubygems/test_gem_remote_fetcher.rb
    branches/ruby_2_4/test/rubygems/test_gem_specification.rb
    branches/ruby_2_4/test/rubygems/test_gem_text.rb


More information about the ruby-cvs mailing list